Package com.netrics.likeit

## Enum NetricsRecord.ChildType

- java.lang.Object
- - java.lang.Enum<NetricsRecord.ChildType>
  - - com.netrics.likeit.NetricsRecord.ChildType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<NetricsRecord.ChildType>`
  Enclosing class:
    NetricsRecord

      public static enum NetricsRecord.ChildType
      extends java.lang.Enum<NetricsRecord.ChildType>

  The different types of child records.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` | Any type of child record.
    `NONORPHANS` | Child records that are linked to an existing parent record.
    `ORPHANS` | Child records not linked to an existing parent record.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NetricsRecord.ChildType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static NetricsRecord.ChildType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ORPHANS

          public static final NetricsRecord.ChildType ORPHANS

      Child records not linked to an existing parent record. This includes standard records in a child table.

    - #### NONORPHANS

          public static final NetricsRecord.ChildType NONORPHANS

      Child records that are linked to an existing parent record.

    - #### ALL

          public static final NetricsRecord.ChildType ALL

      Any type of child record. This includes both ORPHANS and NONORPHANS.

  - ### Method Detail

    - #### values

          public static NetricsRecord.ChildType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NetricsRecord.ChildType c : NetricsRecord.ChildType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NetricsRecord.ChildType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null